Get task items for an entity
curl --request GET \
--url https://api.trycomp.ai/v1/task-management \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/task-management', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/task-management"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "tski_abc123def456",
"title": "Review vendor contract",
"description": {},
"status": "todo",
"priority": "urgent",
"entityId": "<string>",
"entityType": "vendor",
"assignee": {
"id": "<string>",
"user": {}
},
"createdBy": {
"id": "<string>",
"user": {}
},
"updatedBy": {
"id": "<string>",
"user": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}Task Management
Get task items for an entity | Comp AI API
Get task items for an entity in Comp AI. Manage task items and attachments linked to operational entities such as risks and vendors.
GET
/
v1
/
task-management
Get task items for an entity
curl --request GET \
--url https://api.trycomp.ai/v1/task-management \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/task-management', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/task-management"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "tski_abc123def456",
"title": "Review vendor contract",
"description": {},
"status": "todo",
"priority": "urgent",
"entityId": "<string>",
"entityType": "vendor",
"assignee": {
"id": "<string>",
"user": {}
},
"createdBy": {
"id": "<string>",
"user": {}
},
"updatedBy": {
"id": "<string>",
"user": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}Authorizations
API key for authentication
Query Parameters
ID of the entity to get task items for
Example:
"vnd_abc123def456"
Type of entity
Available options:
vendor, risk Example:
"vendor"
Page number (1-indexed)
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 100Example:
5
Filter by status
Available options:
todo, in_progress, in_review, done, canceled Example:
"todo"
Filter by priority
Available options:
urgent, high, medium, low Example:
"high"
Filter by assignee ID
Example:
"mbr_abc123def456"
Sort by field
Available options:
createdAt, updatedAt, title, status, priority Example:
"createdAt"
Sort order
Available options:
asc, desc Example:
"desc"
Was this page helpful?

